[program:rq]
priority=10
process_name="%(program_name)s_%(process_num)02d"
numprocs=2
directory=/app/code/backend
environment=HOME=/app/code
environment=PYTHONPATH="/app/code/backend:${PYTHONPATH-}"
command=uv run rq worker --path /app/code/backend --pid /tmp/rq_worker_%(process_num)02d.pid --url "redis://%(ENV_REDIS_HOST)s:%(ENV_REDIS_PORT)s/0" high default low
user=cloudron
autostart=true
autorestart=true
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes=0
stderr_logfile=/dev/stderr
stderr_logfile_maxbytes=0
